name: 'Close stale issues and PRs'
on:
  schedule:
    - cron: '30 1 * * *'

permissions:
  issues: write
  pull-requests: write

jobs:
  stale:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/stale@v5
        with:
          days-before-stale: 90
          days-before-close: 60
          exempt-issue-labels: 'pinned,security'
          exempt-pr-labels: 'pinned,security'
          stale-issue-message: 'This issue has been automatically marked as stale because it has not had
recent activity. It will be closed if no further activity occurs.

If this is still an issue for you, please try to help by debugging it
further and sharing your results.

Thank you for your contributions.'
          stale-pr-message: 'This PR has been automatically marked as stale because it has not had
recent activity. It will be closed if no further activity occurs.

If this is still an issue for you, please try to complete the PR by adding tests and making sure that the CI is green.

Thank you for your contributions.'
